Skip to content

Update a virtual MCP connection

Request

OAuth 2.0 scope:
  • okta.resourceServers.virtualMcpServers.manage
Admin roles:
  • SUPER_ADMIN

Updates a resource connection for the virtual MCP. You can update only the resourceIndicator field.

Path
virtualMcpServerIdstringrequired

ID of a virtual MCP

Example:wlp1aB2cD3eF4gH5iJ6k
connectionIdstringrequired

Unique identifier for the connection

Example:mcn1a2b3c4d5e6f7g8h9
Bodyapplication/merge-patch+jsonrequired
resourceIndicatorstring or null, (uri)(ResourceConnectionPatchableResourceIndicator)

Resource indicator used when requesting tokens. Set to null to reset to the default value based on the connection type (app instance ORN, authorization server ORN, secret ORN, or service account ORN).

PATCH
/workload-principals/api/v1/virtual-mcp-servers/{virtualMcpServerId}/connections/{connectionId}
curl -i -X PATCH \
  https://subdomain.okta.com/workload-principals/api/v1/virtual-mcp-servers/wlp1aB2cD3eF4gH5iJ6k/connections/mcn1a2b3c4d5e6f7g8h9 \
  -H 'Content-Type: application/merge-patch+json' \
  -d '{
    "resourceIndicator": "https://mcp.custom-domain.company.com"
  }'

Responses

A response confirming the successful update of the connection

Bodyapplication/json
connectionTypestringrequired

Type of connection authentication method

Value:"STS_ACCESS_TOKEN"
idstring(ResourceConnectionId)required

Unique identifier for the resource connection. Only present for resource connections.

ornstring(ResourceConnectionOrn)required

The ORN of the resource connection

resourceobject(ManagedSTSAccessTokenResourceData)required
resourceIndicatorstring, (uri)(ResourceConnectionResourceIndicator)required

Resource indicator used when requesting tokens

statusstring(ResourceConnectionStatus)required

The status of the connection

Enum ValueDescription
ACTIVE

The agent connection is active

INACTIVE

The agent connection is inactive

Response
{ "connectionType": "STS_ACCESS_TOKEN", "id": "mcn9i0j1k2l3m4n5o6p7", "orn": "orn:okta:idp:00o1n8sbwArJ7OQRw406:connections:mcn9i0j1k2l3m4n5o6p7", "status": "ACTIVE", "resourceIndicator": "https://mcp.custom-domain.company.com", "resource": { "resourceType": "MCP_SERVER", "orn": "orn:okta:directory:00o1n8sbwArJ7OQRw406:resource-servers:mcp:mcp2c8xwvBn4h2Ry50g7", "name": "Code Assistant MCP Server", "mcpServerId": "mcp2c8xwvBn4h2Ry50g7", "endpointUrl": "https://mcp.example.com", "clientAuthSettings": {}, "_links": {} }, "_links": { "self": {} } }